Skip to main content
GET
/
v1
/
credentials
/
{id}
Retrieve a Verifiable Credential
curl --request GET \
  --url https://grantex-auth-dd4mtrt2gq-uc.a.run.app/v1/credentials/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "grantId": "<string>",
  "type": "AgentGrantCredential",
  "vcJwt": "<string>",
  "status": "active",
  "issuedAt": "2023-11-07T05:31:56Z",
  "expiresAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Developer API key

Path Parameters

id
string
required

Credential ID

Response

Verifiable Credential

id
string
grantId
string
type
enum<string>
Available options:
AgentGrantCredential,
DelegatedGrantCredential
vcJwt
string

The VC-JWT string

status
enum<string>
Available options:
active,
revoked
issuedAt
string<date-time>
expiresAt
string<date-time>